## pyomo 4.3.11388+git20160622.d3e3f0a

=== doc/Design/Makefile ===
#
# General makefile for AsciiDoc-based documents.  Please put specific
# customizations into a Makefile.local
#

# Where to keep our working files (autogenerated dependencies and
# temporary files)
DEPdir = .deps/
# Separator for anchor labels in included files
ANC=@
# How deep should the Table of Contents go?
TOC_DEPTH=2

KEEP_ARTIFACTS=$(system test `a2x --help | grep -- -k | wc -l` -eq 0 && echo -k)

BASE_OS:=$(shell uname | cut -d'-' -f1)
ifeq ($(BASE_OS),Darwin)
  SED = sed -E
else
  SED = sed -r
endif

ASCIIDOC_OPTS=--verbose  \
	-a data-uri -a icons -a toc -a docinfo -a numbered -a latexmath \
	$(ASCIIDOC_ICONS) -d book $(KEEP_ARTIFACTS)

A2X_OPTS=$(ASCIIDOC_OPTS) --no-xmllint \
	--dblatex-opts "$(DBLATEX_OPTS)" \
	--xsltproc-opts "$(XSLT_OPTS)" $(XSL_FILE)

DBLATEX_OPTS=-P latex.output.revhistory=0 \
	-P doc.collab.show=1 \
	-P toc.section.depth=$(TOC_DEPTH)

XSLT_OPTS=--nonet --stringparam toc.section.depth $(TOC_DEPTH) \
	--stringparam generate.section.toc.level 1

# NOTE: current ASCIIDOC distributions have docbook.xsl that point to
# the docbook sourceforge site and thereby require an internet
# connection (and placing a dependence on the reliability of the
# sourceforce servers) to build EPUB targets.  Distributing a snapshot
# of the docbook XSL distribution can alleviate this dependence.
XSL_FILE=--xsl-file ../docbook/epub/docbook.xsl


.PHONY: all pdf html epub
all: pdf html epub

#####################################################################
# Local customizations & special auto-generated targets:
ifneq ($(wildcard Makefile.local),)
  include Makefile.local
  MAKEDEPS=Makefile Makefile.local
else
  MAKEDEPS=Makefile
endif
#####################################################################

pdf:  $(patsubst %,%.pdf,$(TARGETS))
html: $(patsubst %,%.html,$(TARGETS))
epub: $(patsubst %,%.epub,$(TARGETS))

%.pdf: %.txt $(DEPdir)%.prebuild
	@echo
	@echo \#\#\# Building $@
	@echo
	export XML_CATALOG_FILES="catalog.xml"; \
	a2x $(A2X_OPTS) -f pdf $<

%.epub: %.txt $(DEPdir)%.prebuild
	@echo
	@echo \#\#\# Building $@
	@echo
	export XML_CATALOG_FILES="catalog.xml"; \
	a2x $(A2X_OPTS) -f epub $<

%.xhtml: %.txt $(DEPdir)%.prebuild
	@echo
	@echo \#\#\# Building $@
	@echo
	a2x $(A2X_OPTS) -f xhtml $<

%.html: %.txt $(DEPdir)%.prebuild
	@echo
	@echo \#\#\# Building $@
	@echo
	export XML_CATALOG_FILES="catalog.xml"; \
	asciidoc $(ASCIIDOC_OPTS) -b html -f html.conf $<

.PHONY: clean
clean:
	@if [ ! -z $(DEPdir) ]; then \rm -frv $(DEPdir); fi
	@\rm -fv $(TARGETS:%=%.xml)
	@\rm -fv $(TARGETS:%=%.fo)

.PHONY: distclean
distclean: clean
	@\rm -fv $(TARGETS:%=%.pdf)
	@\rm -fv $(TARGETS:%=%.epub)
	@\rm -fv $(TARGETS:%=%.html)

# Include dependency makefiles, provided that they are needed
ifneq ($(strip $(TARGETS)),)
  include $(patsubst %,$(DEPdir)%.d,$(TARGETS))
endif

# A target (AsciiDoc output) file depends on:
#   0) the corresponding .txt file (handled by the implicit rule)
#   1) any files it imports through 'include::' or image(:|::)
#   2) (recursively) any dependencies for included .txt files
#   3) any autogenerated code fragments (excerpts of Python scripts)
$(DEPdir)%.d: %.txt $(MAKEDEPS)
	@echo Rebuilding dependencies: $<
	@if test ! -z `dirname $@`; then mkdir -p `dirname $@`; fi
	@echo "#" >> $@
	@echo "# source files for $<" > $@
	@echo "#" >> $@
	@echo `echo $@ | $(SED) 's/\.d$$/.prebuild/'` "" \\ >> $@
	@echo : $< \\ >> $@
	@for TAG in include:: image:: image:; do \
	 TEX=`egrep $$TAG $< | egrep -v '^\s*//' \
		| egrep -v $$TAG: \
		| $(SED) "s/.*$$TAG([^\[]*)\[.*/ \1 /g" \
		| $(SED) 's/ *(.*)\.txt/ $$(DEPdir)\1.prebuild/g' \
		| $(SED) 's/ *(.*)\.\{epspng\}/ \1.eps \1.png/g' \
		| $(SED) 's/ *(.*)\.\{epsjpg\}/ \1.eps \1.jpg/g'`;\
		echo $$TEX \\ >> $@; \
	 done
	@echo >> $@
	@echo "	touch "`echo $@ | $(SED) 's/\.d$$/.prebuild/'` >> $@
	@echo >> $@
	@echo "#" >> $@
	@echo "# dependencies" >> $@
	@echo "#" >> $@
	@TEX=`grep include:: "$<" | egrep -v '^\s*//' \
		| $(SED) 's/.*include::(.*)\[\].*/\1/g' \
		| grep '\.txt' \
		| $(SED) 's/ *(.*)\.txt/$$(DEPdir)\1.d/g'`; \
		for f in $$TEX; do echo "include $$f" >> $@; done
	@echo "#" >> $@
	@echo "# autogenerated code fragments" >> $@
	@echo "#" >> $@
	@TEX=`grep include:: "$<" | egrep -v '^\s*//' \
		| $(SED) 's/.*include::(.*)\[\].*/\1/g' \
		| egrep '.+\$(ANC).*\..+' | grep -v '\.txt'`;\
	 	for f in $$TEX; do \
			echo "$$f: $< " \\ >> $@; \
			echo $$f | $(SED) 's/\$(ANC)[^\$(ANC)]*(\.[^\.]+)/\1/' >> $@; \
			echo "	@python include_anchors.py -- $$f" >> $@; \
			echo >> $@; \
			echo clean: clean_$$f >> $@; \
			echo clean_$$f: >> $@ ; \
			echo "	@rm -fv $$f" >> $@; \
			echo >> $@; \
		done

=== doc/DevGuide/current/Makefile ===
#
# General makefile for AsciiDoc-based documents.  Please put specific
# customizations into a Makefile.local
#

# Where to keep our working files (autogenerated dependencies and
# temporary files)
DEPdir = .deps/
# Separator for anchor labels in included files
ANC=@
# How deep should the Table of Contents go?
TOC_DEPTH=2

KEEP_ARTIFACTS=$(system test `a2x --help | grep -- -k | wc -l` -eq 0 && echo -k)

BASE_OS:=$(shell uname | cut -d'-' -f1)
ifeq ($(BASE_OS),Darwin)
  SED = sed -E
else
  SED = sed -r
endif

ASCIIDOC_OPTS=--verbose  \
	-a data-uri -a icons -a toc -a docinfo -a numbered -a latexmath \
	$(ASCIIDOC_ICONS) -d book $(KEEP_ARTIFACTS)

A2X_OPTS=$(ASCIIDOC_OPTS) --no-xmllint \
	--dblatex-opts "$(DBLATEX_OPTS)" \
	--xsltproc-opts "$(XSLT_OPTS)" $(XSL_FILE)

DBLATEX_OPTS=-P latex.output.revhistory=0 \
	-P doc.collab.show=1 \
	-P toc.section.depth=$(TOC_DEPTH)

XSLT_OPTS=--nonet --stringparam toc.section.depth $(TOC_DEPTH) \
	--stringparam generate.section.toc.level 1

# NOTE: current ASCIIDOC distributions have docbook.xsl that point to
# the docbook sourceforge site and thereby require an internet
# connection (and placing a dependence on the reliability of the
# sourceforce servers) to build EPUB targets.  Distributing a snapshot
# of the docbook XSL distribution can alleviate this dependence.
XSL_FILE=--xsl-file ../../docbook/epub/docbook.xsl


.PHONY: all pdf html epub
all: pdf html epub

#####################################################################
# Local customizations & special auto-generated targets:
ifneq ($(wildcard Makefile.local),)
  include Makefile.local
  MAKEDEPS=Makefile Makefile.local
else
  MAKEDEPS=Makefile
endif
#####################################################################

pdf:  $(patsubst %,%.pdf,$(TARGETS))
html: $(patsubst %,%.html,$(TARGETS))
epub: $(patsubst %,%.epub,$(TARGETS))

%.pdf: %.txt $(DEPdir)%.prebuild
	@echo
	@echo \#\#\# Building $@
	@echo
	export XML_CATALOG_FILES="catalog.xml"; \
	a2x $(A2X_OPTS) -f pdf $<

%.epub: %.txt $(DEPdir)%.prebuild
	@echo
	@echo \#\#\# Building $@
	@echo
	export XML_CATALOG_FILES="catalog.xml"; \
	a2x $(A2X_OPTS) -f epub $<

%.xhtml: %.txt $(DEPdir)%.prebuild
	@echo
	@echo \#\#\# Building $@
	@echo
	a2x $(A2X_OPTS) -f xhtml $<

%.html: %.txt $(DEPdir)%.prebuild
	@echo
	@echo \#\#\# Building $@
	@echo
	export XML_CATALOG_FILES="catalog.xml"; \
	asciidoc $(ASCIIDOC_OPTS) -b html -f html.conf $<

.PHONY: clean
clean:
	@if [ ! -z $(DEPdir) ]; then \rm -frv $(DEPdir); fi
	@\rm -fv $(TARGETS:%=%.xml)
	@\rm -fv $(TARGETS:%=%.fo)

.PHONY: distclean
distclean: clean
	@\rm -fv $(TARGETS:%=%.pdf)
	@\rm -fv $(TARGETS:%=%.epub)
	@\rm -fv $(TARGETS:%=%.html)

# Include dependency makefiles, provided that they are needed
ifneq ($(strip $(TARGETS)),)
  include $(patsubst %,$(DEPdir)%.d,$(TARGETS))
endif

# A target (AsciiDoc output) file depends on:
#   0) the corresponding .txt file (handled by the implicit rule)
#   1) any files it imports through 'include::' or image(:|::)
#   2) (recursively) any dependencies for included .txt files
#   3) any autogenerated code fragments (excerpts of Python scripts)
$(DEPdir)%.d: %.txt $(MAKEDEPS)
	@echo Rebuilding dependencies: $<
	@if test ! -z `dirname $@`; then mkdir -p `dirname $@`; fi
	@echo "#" >> $@
	@echo "# source files for $<" > $@
	@echo "#" >> $@
	@echo `echo $@ | $(SED) 's/\.d$$/.prebuild/'` "" \\ >> $@
	@echo : $< \\ >> $@
	@for TAG in include:: image:: image:; do \
	 TEX=`egrep $$TAG $< | egrep -v '^\s*//' \
		| egrep -v $$TAG: \
		| $(SED) "s/.*$$TAG([^\[]*)\[.*/ \1 /g" \
		| $(SED) 's/ *(.*)\.txt/ $$(DEPdir)\1.prebuild/g' \
		| $(SED) 's/ *(.*)\.\{epspng\}/ \1.eps \1.png/g' \
		| $(SED) 's/ *(.*)\.\{epsjpg\}/ \1.eps \1.jpg/g'`;\
		echo $$TEX \\ >> $@; \
	 done
	@echo >> $@
	@echo "	touch "`echo $@ | $(SED) 's/\.d$$/.prebuild/'` >> $@
	@echo >> $@
	@echo "#" >> $@
	@echo "# dependencies" >> $@
	@echo "#" >> $@
	@TEX=`grep include:: "$<" | egrep -v '^\s*//' \
		| $(SED) 's/.*include::(.*)\[\].*/\1/g' \
		| grep '\.txt' \
		| $(SED) 's/ *(.*)\.txt/$$(DEPdir)\1.d/g'`; \
		for f in $$TEX; do echo "include $$f" >> $@; done
	@echo "#" >> $@
	@echo "# autogenerated code fragments" >> $@
	@echo "#" >> $@
	@TEX=`grep include:: "$<" | egrep -v '^\s*//' \
		| $(SED) 's/.*include::(.*)\[\].*/\1/g' \
		| egrep '.+\$(ANC).*\..+' | grep -v '\.txt'`;\
	 	for f in $$TEX; do \
			echo "$$f: $< " \\ >> $@; \
			echo $$f | $(SED) 's/\$(ANC)[^\$(ANC)]*(\.[^\.]+)/\1/' >> $@; \
			echo "	@python include_anchors.py -- $$f" >> $@; \
			echo >> $@; \
			echo clean: clean_$$f >> $@; \
			echo clean_$$f: >> $@ ; \
			echo "	@rm -fv $$f" >> $@; \
			echo >> $@; \
		done

=== doc/GettingStarted/SAND-2012-1572P/Makefile ===
#
# General makefile for AsciiDoc-based documents.  Please put specific
# customizations into a Makefile.local
#

# Where to keep our working files (autogenerated dependencies and
# temporary files)
DEPdir = .deps/
# Separator for anchor labels in included files
ANC=@
# How deep should the Table of Contents go?
TOC_DEPTH=2

KEEP_ARTIFACTS=$(system test `a2x --help | grep -- -k | wc -l` -eq 0 && echo -k)

BASE_OS:=$(shell uname | cut -d'-' -f1)
ifeq ($(BASE_OS),Darwin)
  SED = sed -E
else
  SED = sed -r
endif

ASCIIDOC_OPTS=--verbose  \
	-a toc -a docinfo -a numbered -a latexmath -a icons \
	-d book $(KEEP_ARTIFACTS)

A2X_OPTS=$(ASCIIDOC_OPTS) --no-xmllint \
	--dblatex-opts "$(DBLATEX_OPTS)" \
	--xsltproc-opts "$(XSLT_OPTS)"

DBLATEX_OPTS=-P latex.output.revhistory=0 \
	-P doc.collab.show=1 \
	-P toc.section.depth=$(TOC_DEPTH)

XSLT_OPTS=--stringparam toc.section.depth $(TOC_DEPTH) \
	--stringparam generate.section.toc.level 1

.PHONY: all pdf html epub
all: pdf html epub

#####################################################################
# Local customizations & special auto-generated targets:
ifneq ($(wildcard Makefile.local),)
  include Makefile.local
  MAKEDEPS=Makefile Makefile.local
else
  MAKEDEPS=Makefile
endif
#####################################################################

pdf:  $(patsubst %,%.pdf,$(TARGETS))
html: $(patsubst %,%.html,$(TARGETS))
epub: $(patsubst %,%.epub,$(TARGETS))

%.pdf: %.txt $(DEPdir)%.prebuild
	@echo
	@echo \#\#\# Building $@
	@echo
	export XML_CATALOG_FILES="catalog.xml"; \
	a2x $(A2X_OPTS) -f pdf $<

%.epub: %.txt $(DEPdir)%.prebuild
	@echo
	@echo \#\#\# Building $@
	@echo
	export XML_CATALOG_FILES="catalog.xml"; \
	a2x $(A2X_OPTS) -f epub $<

%.html: %.txt $(DEPdir)%.prebuild
	@echo
	@echo \#\#\# Building $@
	@echo
	export XML_CATALOG_FILES="catalog.xml"; \
	asciidoc $(ASCIIDOC_OPTS) -b html -f html.conf $<

.PHONY: clean
clean:
	@if [ ! -z $(DEPdir) ]; then \rm -frv $(DEPdir); fi
	@\rm -fv $(TARGETS:%=%.xml)
	@\rm -fv $(TARGETS:%=%.fo)

.PHONY: distclean
distclean: clean
	@\rm -fv $(TARGETS:%=%.pdf)
	@\rm -fv $(TARGETS:%=%.epub)
	@\rm -fv $(TARGETS:%=%.html)

# Include dependency makefiles, provided that they are needed
ifneq ($(strip $(TARGETS)),)
  include $(patsubst %,$(DEPdir)%.d,$(TARGETS))
endif

# A target (AsciiDoc output) file depends on:
#   0) the corresponding .txt file (handled by the implicit rule)
#   1) any files it imports through 'include::' or image(:|::)
#   2) (recursively) any dependencies for included .txt files
#   3) any autogenerated code fragments (excerpts of Python scripts)
$(DEPdir)%.d: %.txt $(MAKEDEPS)
	@echo Rebuilding dependencies: $<
	@if test ! -z `dirname $@`; then mkdir -p `dirname $@`; fi
	@echo "#" >> $@
	@echo "# source files for $<" > $@
	@echo "#" >> $@
	@echo `echo $@ | $(SED) 's/\.d$$/.prebuild/'` "" \\ >> $@
	@echo : $< \\ >> $@
	@for TAG in include:: image:: image:; do \
	 TEX=`egrep $$TAG $< | egrep -v '^\s*//' \
		| egrep -v $$TAG: \
		| $(SED) "s/.*$$TAG([^\[]*)\[.*/ \1 /g" \
		| $(SED) 's/ *(.*)\.txt/ $$(DEPdir)\1.prebuild/g' \
		| $(SED) 's/ *(.*)\.\{epspng\}/ \1.eps \1.png/g' \
		| $(SED) 's/ *(.*)\.\{epsjpg\}/ \1.eps \1.jpg/g'`;\
		echo $$TEX \\ >> $@; \
	 done
	@echo >> $@
	@echo "	touch "`echo $@ | $(SED) 's/\.d$$/.prebuild/'` >> $@
	@echo >> $@
	@echo "#" >> $@
	@echo "# dependencies" >> $@
	@echo "#" >> $@
	@TEX=`grep include:: "$<" | egrep -v '^\s*//' \
		| $(SED) 's/.*include::(.*)\[\].*/\1/g' \
		| grep '\.txt' \
		| $(SED) 's/ *(.*)\.txt/$$(DEPdir)\1.d/g'`; \
		for f in $$TEX; do echo "include $$f" >> $@; done
	@echo "#" >> $@
	@echo "# autogenerated code fragments" >> $@
	@echo "#" >> $@
	@TEX=`grep include:: "$<" | egrep -v '^\s*//' \
		| $(SED) 's/.*include::(.*)\[\].*/\1/g' \
		| egrep '.+\$(ANC).*\..+' | grep -v '\.txt'`;\
	 	for f in $$TEX; do \
			echo "$$f: $< " \\ >> $@; \
			echo $$f | $(SED) 's/\$(ANC)[^\$(ANC)]*(\.[^\.]+)/\1/' >> $@; \
			echo "	@python include_anchors.py -- $$f" >> $@; \
			echo >> $@; \
			echo clean: clean_$$f >> $@; \
			echo clean_$$f: >> $@ ; \
			echo "	@rm -fv $$f" >> $@; \
			echo >> $@; \
		done

=== debian/changelog ===
pyomo (4.3.11388+git20160622.d3e3f0a-1) unstable; urgency=medium

  * Package latest development snapshot (Closes: #823306).

 -- Daniel Stender <stender@debian.org>  Sun, 26 Jun 2016 20:46:09 +0200

pyomo (4.3.11388-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + added Uploaders (package now in PAPT).
    + bumped Standards-Version to 3.9.8 (no changes needed).
    + added Vcs-Svn and Browser.
  * deb/copyright:
    + updated Source.
    + added .gitignore to Files-Excluded.
  * deb/watch: watch for Github tarball.

 -- Daniel Stender <stender@debian.org>  Sun, 26 Jun 2016 19:39:08 +0200

pyomo (4.3.11327-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + put needed version for pyutilib (5.3.2).
    + added python3-appdirs to build-deps.
    + added info on missing packages.
  * deb/copyright: expanded copyright span.
  * deb/rules: use empty override for disabling tests, cosmetics.
  * Updated maintainer email address in deb/control, deb/copyright, deb/pyomo.1.

 -- Daniel Stender <stender@debian.org>  Sat, 09 Apr 2016 21:45:39 +0200

pyomo (4.2.10784-1) unstable; urgency=medium

  * Initial release (Closes: #782436).

 -- Daniel Stender <debian@danielstender.com>  Fri, 26 Feb 2016 07:31:37 +0100

=== debian/control ===
Source: pyomo
Section: math
Priority: optional
Maintainer: Daniel Stender <stender@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3,
 python3-setuptools,
 python3-nose,
 python3-six,
 python3-ply,
 python3-pyutilib (>= 5.3.2),
 python3-appdirs
Standards-Version: 3.9.8
Homepage: http://www.pyomo.org/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pyomo/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/pyomo/trunk/
X-Python3-Version: >= 3.3

Package: pyomo
Architecture: all
Depends:
 ${python3:Depends},
 python3-yaml,
 python3-pyutilib (>= 5.3.2),
 ${misc:Depends}
Recommends:
 glpk-utils,
 coinor-cbc
# python3-pyodbc not available (#699778)
Description: PYthon Optimization Modeling Objects
 Pyomo is a tool for formulating and analyzing mathematical models
 that represent real-world systems for complex optimization applications
 as applied in different areas of business, engineering, research,
 and administration.
 It's used to define symbolic problems, create concrete problem
 instances, and solve this instances with standard solvers.
 Pyomo provides a capability that is commonly associated with
 algebraic modeling languages (AML) and applications like
 AMPL, AIMMS, or GAMS, but has its modeling objects within the Python
 environment.
 Pyomo features a versatile set of modeling components, and supports
 concrete models (defined with data) as well as abstract models (defined
 without data).
 .
 For the processing of instantiated models Pyomo supports a wide range of
 independent solvers that could be written either in Python or other languages.
 Pyomo supports the general ASL (AMPL Solver Library) compatible interface,
 and has invidividual backends for solvers which some of them are available
 within Debian (GLPK, COIN-OR CPC, OPENOPT).
 Pyomo's solver manager could also employ the public NEOS Server to remotely
 optimize models if network access is available.
 .
 Pyomo was formerly released as the Coopr software library, and includes
 the PySP package (Pyomo Stochastic Programming) which provides generic
 solvers for stochastic programming.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck

# modules need to be by publically importable

export PYBUILD_INSTALL_ARGS=--install-scripts=/usr/share/pyomo
# see run-scripts-from-usr-share.patch

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:
	# TODO: get tests to run

override_dh_fixperms:
	dh_fixperms
	find $(CURDIR)/debian/pyomo/usr/share/doc/pyomo/examples -executable -type f -exec chmod 644 {} \;

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)(\d[\d\.]+)\.tar\.gz/pyomo-$1.tar.gz/" \
https://github.com/pyomo/pyomo/releases (?:.*/)(\d[\d\.]+)\.tar\.gz
